%define upstream_name    Math-BaseCalc
%define upstream_version 1.017

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    %{upstream_name} perl module
License:    GPL or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Test::More)
BuildRequires: perl(integer)
BuildRequires: perl(vars)
BuildRequires: perl-devel
BuildArch:  noarch

%description
This module facilitates the conversion of numbers between various
number bases.  You may define your own digit sets, or use any of
several predefined digit sets.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install DESTDIR=$RPM_BUILD_ROOT 

%files 
%doc Changes LICENSE META.yml README SIGNATURE
%{perl_vendorlib}/Math/*
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.17.0-7pclos2017
- rebuild against updates

